Subject: Re: PMP> Another hrBit

From: Harry Lewis <[email-masked]>
Date: Thu, 11 Dec 1997 12:57:03 -0500

Yes, I like Jay's name better. Can we get consensus to add this to the current
hrPrinterDetectedErrorState bit extensions? By the way... what's the status
regarding these extensions and the hrMIB? For that matter, what's the status of
the Printer MIB?

Harry Lewis - IBM Printing Systems

[email-masked] on 12/11/97 10:17:53 AM
Please respond to [email-masked] @ internet
To: Harry Lewis/Boulder/IBM@ibmus
cc: [email-masked] @ internet
Subject: Re: PMP> Another hrBit

I'd agree with this proposal, so long as the name is changed to
better reflect the semantics.  Maybe something like:

    pmOverduePreventiveMaintenance

I know it's a bit long, but it clearly states the semantics and
scope of the variable.

 ...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------

Harry Lewis wrote:
>
> I'd like to extend the proposal for new hrPrinterDetectedErrorState bits by
> adding one more bit
>
> >    pmOverdue     6     warning(3) or down(5)
>
> This bit would be set if and when the device detected that a preventive
> maintenance
> schedule had been exceeded. It would be up to the implementation if this
> stops printing or not (typically, not!).
>
> Harry Lewis - IBM Printing Systems

---

From: Ron Bergman <[email-masked]>
Date: Thu, 11 Dec 1997 17:53:11 -0800 (Pacific Standard Time)

I certainly agree with the intent of the proposal.  The name, however,
still looks strange.  I believe that in Harry's original name the "pm" was
to represent "preventive maintenance".  So the revised name really should
be:

	overduePreventiveMaintenance

How does this sound?

	Ron Bergman
	Dataproducts Corp.

---

From: Jay Martin <[email-masked]>
Date: Fri, 12 Dec 1997 14:32:35 -0500

Ron,

Yep, you're right.  Somehow I missed the significance of the little
"pm" prefix in Harry's original proposal.  I totally agree with your
suggestion.

	...jay